#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi

VERSION=${1}
rm -rf poms
mkdir poms
cd poms

wget -O pom.xml http://repo1.maven.org/maven2/org/apache/lucene/lucene-solr-grandparent/${VERSION}/lucene-solr-grandparent-${VERSION}.pom

mkdir lucene solr

for p in benchmark classification codecs core demo expressions \
  facet grouping highlighter join memory misc queries queryparser \
  replicator sandbox spatial suggest test-framework; do
  mkdir -p lucene/${p}
  pushd lucene/${p}
   wget -O pom.xml http://repo1.maven.org/maven2/org/apache/lucene/lucene-${p}/${VERSION}/lucene-${p}-${VERSION}.pom
  popd
done

mkdir -p lucene/analysis
for p in common icu kuromoji morfologik phonetic \
  smartcn stempel uima; do
  mkdir -p lucene/analysis/${p}
  pushd lucene/analysis/${p}
   wget -O pom.xml http://repo1.maven.org/maven2/org/apache/lucene/lucene-analyzers-${p}/${VERSION}/lucene-analyzers-${p}-${VERSION}.pom
  popd
done

for p in core solrj test-framework; do
  mkdir -p solr/${p}
  pushd solr/${p}
   wget -O pom.xml http://central.maven.org/maven2/org/apache/solr/solr-${p}/${VERSION}/solr-${p}-${VERSION}.pom
  popd
done

for p in analysis-extras clustering dataimporthandler dataimporthandler-extras \
  langid map-reduce morphlines-cell morphlines-core uima velocity; do
  mkdir -p solr/contrib/${p}
  pushd solr/contrib/${p}
   wget -O pom.xml http://central.maven.org/maven2/org/apache/solr/solr-${p}/${VERSION}/solr-${p}-${VERSION}.pom
  popd
done

mkdir -p solr/contrib/extraction
pushd solr/contrib/extraction
 wget -O pom.xml http://central.maven.org/maven2/org/apache/solr/solr-cell/${VERSION}/solr-cell-${VERSION}.pom
popd


tar cJf ../solr-poms-${VERSION}.tar.xz *
